### Function

# Notify get_server_info

since: 0.7

#### Declaration [src]

    gboolean
    notify_get_server_info (
      char** ret_name,
      char** ret_vendor,
      char** ret_version,
      char** ret_spec_version
    )

#### Description [src]

Queries the server for information.

Synchronously queries the server for its information, specifically, the name, vendor, server version, and the version of the notifications specification that it is compliant with.

Available since: 0.7

#### Parameters

`ret_name`

  Type: `char**`

  A location to store the server name, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`ret_vendor`

  Type: `char**`

  A location to store the server vendor, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`ret_version`

  Type: `char**`

  A location to store the server version, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`ret_spec_version`

  Type: `char**`

  A location to store the version the service is compliant with, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if successful, and the variables passed will be set, `FALSE` on error. The returned strings must be freed with g_free.